CREATE TABLE JOB_USERS(
	USER_NUMBER NUMBER(3) PRIMARY KEY,
	USERNAME VARCHAR(100) UNIQUE NOT NULL,
	PASSWORD VARCHAR(100) UNIQUE NOT NULL,
	MANAGER_ID NUMBER (3)	
	);
	
CREATE TABLE REQUESTS(
	REQUEST_NUMBER NUMBER(5) PRIMARY KEY,
	USERNAME VARCHAR(1000) REFERENCES JOB_USERS(USERNAME),
	REQUEST_DATE VARCHAR (1000) NOT NULL,
	DESCRIPTION VARCHAR(1000),
	REQUEST_AMOUNT NUMBER(6,2),
	REQUEST_STATUS VARCHAR(100) DEFAULT 'PENDING'
);


INSERT INTO JOB_USERS(USER_NUMBER, USERNAME, PASSWORD, MANAGER_ID) VALUES (1, 'beal3', 'bradleyWash', null);
INSERT INTO JOB_USERS(USER_NUMBER, USERNAME, PASSWORD, MANAGER_ID) VALUES (2,'wade3', 'dwayneMiami', null);
INSERT INTO JOB_USERS(USER_NUMBER, USERNAME, PASSWORD, MANAGER_ID) VALUES (3,'james23', 'lebronLosAngeles', null );
INSERT INTO JOB_USERS(USER_NUMBER, USERNAME, PASSWORD, MANAGER_ID) VALUES (4,'arenas0', 'gilbertWashington', null );
INSERT INTO JOB_USERS(USER_NUMBER, USERNAME, PASSWORD, MANAGER_ID) VALUES (5,'jordan23', 'michaelChicago', 166 );

INSERT INTO REQUESTS(REQUEST_NUMBER, USERNAME, REQUEST_DATE, DESCRIPTION, REQUEST_AMOUNT, REQUEST_STATUS) VALUES (1, 'beal3', '01-30-2021','EXTRA TRAVEL TO COMPENSATE FOR LACK OF TEAM', 4000.00, 'ACCEPTED' );
INSERT INTO REQUESTS(REQUEST_NUMBER, USERNAME, REQUEST_DATE, DESCRIPTION, REQUEST_AMOUNT, REQUEST_STATUS) VALUES (2, 'james23', '12-25-2020','EXTRA MONEY SPENT ON CHRISTMAS DISPLAY', 2500.00, 'PENDING' );
INSERT INTO REQUESTS(REQUEST_NUMBER, USERNAME, REQUEST_DATE, DESCRIPTION, REQUEST_AMOUNT, REQUEST_STATUS) VALUES (3, 'james23', '10-10-2020','OUT OF POCKET COSTS FOR CEREMONY', 1000.00, 'PENDING' );
INSERT INTO REQUESTS(REQUEST_NUMBER, USERNAME, REQUEST_DATE, DESCRIPTION, REQUEST_AMOUNT, REQUEST_STATUS) VALUES (4, 'arenas0', '01-01-2021','OUT OF POCKET COSTS FOR YOUTH CLASSES', 750.00, 'PENDING' );